org.richfaces.fragment.dataTable

## Class RichFacesDataTable.AdvancedDataTableInteractions

- java.lang.Object
- - org.richfaces.fragment.dataTable.AbstractTable.AdvancedTableInteractions
  - - org.richfaces.fragment.dataTable.RichFacesDataTable.AdvancedDataTableInteractions

- Enclosing class:
    RichFacesDataTable<HEADER,ROW,FOOTER>

      public class RichFacesDataTable.AdvancedDataTableInteractions
      extends AbstractTable.AdvancedTableInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesDataTable.AdvancedDataTableInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.openqa.selenium.WebElement>` | `getColumnFooterElements()`
    `List<org.openqa.selenium.WebElement>` | `getColumnHeaderElements()`
    `List<org.openqa.selenium.WebElement>` | `getFirstRowCellsElements()`
    `org.openqa.selenium.WebElement` | `getFooterElement()`
    `org.openqa.selenium.WebElement` | `getHeaderElement()`
    `org.openqa.selenium.WebElement` | `getNoDataElement()`
    `ByJQuery` | `getSelectorForCell(int column)`
    `List<org.openqa.selenium.WebElement>` | `getTableRowsElements()`
    `org.openqa.selenium.WebElement` | `getWholeTableFooterElement()`
    `org.openqa.selenium.WebElement` | `getWholeTableHeaderElement()`

    - ### Methods inherited from class org.richfaces.fragment.dataTable.AbstractTable.AdvancedTableInteractions

      `getCellElement, getColumnFooterElement, getColumnHeaderElement, getNumberOfColumns, getNumberOfVisibleRows, getRootElement, isNoData, isVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesDataTable.AdvancedDataTableInteractions

          public RichFacesDataTable.AdvancedDataTableInteractions()

  - ### Method Detail

    - #### getNoDataElement

          public org.openqa.selenium.WebElement getNoDataElement()

      Specified by:
        `getNoDataElement` in class `AbstractTable.AdvancedTableInteractions`

    - #### getTableRowsElements

          public List<org.openqa.selenium.WebElement> getTableRowsElements()

      Specified by:
        `getTableRowsElements` in class `AbstractTable.AdvancedTableInteractions`

    - #### getFirstRowCellsElements

          public List<org.openqa.selenium.WebElement> getFirstRowCellsElements()

      Specified by:
        `getFirstRowCellsElements` in class `AbstractTable.AdvancedTableInteractions`

    - #### getSelectorForCell

          public ByJQuery getSelectorForCell(int column)

      Specified by:
        `getSelectorForCell` in class `AbstractTable.AdvancedTableInteractions`

    - #### getWholeTableHeaderElement

          public org.openqa.selenium.WebElement getWholeTableHeaderElement()

      Specified by:
        `getWholeTableHeaderElement` in class `AbstractTable.AdvancedTableInteractions`

    - #### getWholeTableFooterElement

          public org.openqa.selenium.WebElement getWholeTableFooterElement()

      Specified by:
        `getWholeTableFooterElement` in class `AbstractTable.AdvancedTableInteractions`

    - #### getHeaderElement

          public org.openqa.selenium.WebElement getHeaderElement()

      Specified by:
        `getHeaderElement` in class `AbstractTable.AdvancedTableInteractions`

    - #### getFooterElement

          public org.openqa.selenium.WebElement getFooterElement()

      Specified by:
        `getFooterElement` in class `AbstractTable.AdvancedTableInteractions`

    - #### getColumnHeaderElements

          public List<org.openqa.selenium.WebElement> getColumnHeaderElements()

      Specified by:
        `getColumnHeaderElements` in class `AbstractTable.AdvancedTableInteractions`

    - #### getColumnFooterElements

          public List<org.openqa.selenium.WebElement> getColumnFooterElements()

      Specified by:
        `getColumnFooterElements` in class `AbstractTable.AdvancedTableInteractions`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.